Loading...
Searching...
No Matches
QGpgME::ExportJob Class Referenceabstract

An abstract base class for asynchronous exporters. More...

`#include <exportjob.h>`

Inheritance diagram for QGpgME::ExportJob:
[legend]
Collaboration diagram for QGpgME::ExportJob:
[legend]

## Signals

void | result (const GpgME::Error &result, const QByteArray &keyData, const QString &auditLogAsHtml=QString(), const GpgME::Error &auditLogError=GpgME::Error())
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()

## Public Member Functions

virtual GpgME::Error | start (const QStringList &patterns)=0
virtual void | setExportFlags (unsigned int flags)
virtual GpgME::Error | exec (const QStringList &patterns, QByteArray &data)
Public Member Functions inherited from QGpgME::Job
virtual QString | auditLogAsHtml () const
virtual GpgME::Error | auditLogError () const
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Protected Member Functions

| ExportJob (QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)

## Additional Inherited Members

Public Slots inherited from QGpgME::Job
virtual void | slotCancel ()=0
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Detailed Description

An abstract base class for asynchronous exporters.

To use a ExportJob, first obtain an instance from the CryptoBackend implementation, connect the progress() and result() signals to suitable slots and then start the export with a call to start(). This call might fail, in which case the ExportJob instance will have scheduled it's own destruction with a call to QObject::deleteLater().

After result() is emitted, the ExportJob will schedule it's own destruction by calling QObject::deleteLater().

## Member Function Documentation

## exec()

GpgME::Error ExportJob::exec | ( | const QStringList & | patterns,
|  | QByteArray & | data )

virtual

Starts the export operation synchronously, otherwise behaves identical to ExportJob::start

Reimplemented in QGpgME::QGpgMEExportJob.

## start()

virtual GpgME::Error QGpgME::ExportJob::start | ( | const QStringList & | patterns | ) |

pure virtual

Starts the export operation. patterns is a list of patterns used to restrict the list of keys exported. Empty patterns are ignored. If patterns is empty or contains only empty strings, all available keys are exported.

Implemented in QGpgME::QGpgMEExportJob.

The documentation for this class was generated from the following files:

- exportjob.h
- qgpgmeexportjob.cpp